Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033276
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformminorhave not tried2016-06-15 16:262018-06-08 07:29
ReportercaristuView Statuspublic 
Assigned Tojarmendariz 
PriorityhighResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revisionc2d6e3a7a39c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033276: Problem with User window and auto-complete in Chrome

DescriptionThe Last Name and Password fields of the User window are filled automatically by the auto-complete of Chrome browser.

Reproduced in Chrome version: 51.0.2704.84 (64-bit)
Steps To Reproduce1) Log in into Openbravo
2) When Chrome ask if you want to save the password click on "Save"
3) Log out and log in again
4) Go to the [User] window
5) Create a new record in form view, notice that the Last Name and Pasword fields are populated automatically
Proposed SolutionOne possible solution?: https://www.zigpress.com/2014/11/22/stop-chrome-messing-forms/ [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on design defect 0038701 closedjarmendariz Smartclient 10 does not support autocomplete keywords 
has duplicate defect 0034801 closedplatform Cancel changes button in form view doesn't works properly in User window. 
has duplicate defect 0036154 closedplatform Unexpected change in User form, that cannot be canceled 
related to design defect 0027039 newdbaz Login fields are now filled and remembered by Chrome and Internet Explorer 

-  Notes
(0088512)
alostale (developer)
2016-07-15 09:56

This is a problem in SC
(0104950)
hgbot (developer)
2018-06-05 17:21

Repository: erp/devel/pi
Changeset: c2d6e3a7a39c333f817448a83e07ac0d413fbf70
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Jun 05 12:39:21 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c2d6e3a7a39c333f817448a83e07ac0d413fbf70 [^]

Fixed issue 33276: Remove autocomplete in User window using Chrome.

Setting the password tag as autocomplete="new-password" prevents Chrome to
autocomplete the user and password fields of User window with saved data.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-encrypted.js
---
(0104979)
caristu (developer)
2018-06-06 15:46

Code reviewed + tested OK.
(0105016)
hudsonbot (developer)
2018-06-08 07:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4e0c05c97edf [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-06-15 16:26 caristu New Issue
2016-06-15 16:26 caristu Assigned To => platform
2016-06-15 16:26 caristu Web browser => Google Chrome
2016-06-15 16:26 caristu Modules => Core
2016-06-15 16:26 caristu Triggers an Emergency Pack => No
2016-06-15 16:26 caristu Web browser Google Chrome => Google Chrome
2016-06-15 16:26 caristu Proposed Solution updated
2016-07-15 09:56 alostale Web browser Google Chrome => Google Chrome
2016-07-15 09:56 alostale Note Added: 0088512
2016-07-15 09:56 alostale Type defect => design defect
2016-12-22 09:53 caristu Relationship added has duplicate 0034801
2016-12-22 09:54 caristu Status new => acknowledged
2017-05-31 17:34 AugustoMauch Relationship added related to 0036154
2017-05-31 17:38 AugustoMauch Relationship replaced has duplicate 0036154
2018-02-13 18:19 caristu Relationship added related to 0027039
2018-03-06 11:46 naiaramartinez Issue Monitored: naiaramartinez
2018-05-30 18:41 jarmendariz Status acknowledged => scheduled
2018-05-30 18:41 jarmendariz Assigned To platform => jarmendariz
2018-06-01 14:20 jarmendariz Review Assigned To => caristu
2018-06-01 14:20 jarmendariz Web browser Google Chrome => Google Chrome
2018-06-05 11:49 jarmendariz Relationship added depends on 0038701
2018-06-05 17:21 hgbot Checkin
2018-06-05 17:21 hgbot Note Added: 0104950
2018-06-05 17:21 hgbot Status scheduled => resolved
2018-06-05 17:21 hgbot Resolution open => fixed
2018-06-05 17:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c2d6e3a7a39c333f817448a83e07ac0d413fbf70 [^]
2018-06-06 15:46 caristu Note Added: 0104979
2018-06-06 15:46 caristu Status resolved => closed
2018-06-06 15:46 caristu Fixed in Version => 3.0PR18Q3
2018-06-06 15:59 caristu Web browser Google Chrome => Google Chrome
2018-06-06 15:59 caristu Type design defect => defect
2018-06-06 15:59 caristu Web browser Google Chrome => Google Chrome
2018-06-06 15:59 caristu Type defect => design defect
2018-06-08 07:29 hudsonbot Checkin
2018-06-08 07:29 hudsonbot Note Added: 0105016


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker